com.trendmicro.ds.appcontrol.rest.object

## Enum Event.BlockReason

- java.lang.Object
- - java.lang.Enum<Event.BlockReason>
  - - com.trendmicro.ds.appcontrol.rest.object.Event.BlockReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Event.BlockReason>
  Enclosing class:
    Event

      public static enum Event.BlockReason
      extends java.lang.Enum<Event.BlockReason>

  The reason why an application launch was blocked.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLACKLISTED` Used if the application launch was blocked because the application was blacklisted.
    `NOT_WHITELISTED` Used if the application launch was blocked because the application was not on the whitelist.
    `UNKNOWN` Used if the application launch was blocked for an unknown reason.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event.BlockReason` | `forValue(java.lang.Integer blockReason)`
    `static Event.BlockReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Event.BlockReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Event.BlockReason UNKNOWN

      Used if the application launch was blocked for an unknown reason.

    - #### BLACKLISTED

          public static final Event.BlockReason BLACKLISTED

      Used if the application launch was blocked because the application was blacklisted.

    - #### NOT_WHITELISTED

          public static final Event.BlockReason NOT_WHITELISTED

      Used if the application launch was blocked because the application was not on the whitelist.

  - ### Method Detail

    - #### values

          public static Event.BlockReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Event.BlockReason c : Event.BlockReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Event.BlockReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forValue

          public static Event.BlockReason forValue(java.lang.Integer blockReason)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.